Bug 1306179 - [abrt] snappy-player: _g_log_abort(): snappy killed by SIGTRAP
[abrt] snappy-player: _g_log_abort(): snappy killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: snappy-player (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:491458a58ed54ad5b423fca9c45...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 04:06 EST by Simon THOBY
Modified: 2016-12-20 13:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:36:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.17 KB, text/plain)
2016-02-10 04:06 EST, Simon THOBY
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-10 04:06 EST, Simon THOBY
no flags Details
File: core_backtrace (1.66 KB, text/plain)
2016-02-10 04:06 EST, Simon THOBY
no flags Details
File: dso_list (9.37 KB, text/plain)
2016-02-10 04:06 EST, Simon THOBY
no flags Details
File: environ (966 bytes, text/plain)
2016-02-10 04:06 EST, Simon THOBY
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-10 04:06 EST, Simon THOBY
no flags Details
File: maps (43.55 KB, text/plain)
2016-02-10 04:06 EST, Simon THOBY
no flags Details
File: mountinfo (3.33 KB, text/plain)
2016-02-10 04:06 EST, Simon THOBY
no flags Details
File: open_fds (829 bytes, text/plain)
2016-02-10 04:06 EST, Simon THOBY
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2016-02-10 04:06 EST, Simon THOBY
no flags Details
File: strace.log (377.23 KB, text/plain)
2016-02-10 04:07 EST, Simon THOBY
no flags Details
File: var_log_messages (410 bytes, text/plain)
2016-02-10 04:07 EST, Simon THOBY
no flags Details
New strace log with snappy-player-1.0-9.20160119gite73fab.fc23.x86_64.rpm (377.39 KB, text/plain)
2016-02-10 10:19 EST, Simon THOBY
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 761831 None None None 2016-02-10 10:45 EST

  None (edit)
Description Simon THOBY 2016-02-10 04:06:36 EST
Description of problem:
I just tried to launch snappy and It crashes. I attached the strace. I'm on gnome-wayland, maybe wayland isn't well supported ins nappy ?

Version-Release number of selected component:
snappy-player-1.0-7.20151010git166a98.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        snappy
crash_function: _g_log_abort
executable:     /usr/bin/snappy
global_pid:     6273
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 _g_log_abort at gmessages.c:324
 #3 gtk_clutter_init_internal at ./gtk-clutter-util.c:130
 #4 gtk_clutter_init at ./gtk-clutter-util.c:231
Comment 1 Simon THOBY 2016-02-10 04:06:41 EST
Created attachment 1122711 [details]
File: backtrace
Comment 2 Simon THOBY 2016-02-10 04:06:42 EST
Created attachment 1122712 [details]
File: cgroup
Comment 3 Simon THOBY 2016-02-10 04:06:43 EST
Created attachment 1122713 [details]
File: core_backtrace
Comment 4 Simon THOBY 2016-02-10 04:06:45 EST
Created attachment 1122714 [details]
File: dso_list
Comment 5 Simon THOBY 2016-02-10 04:06:46 EST
Created attachment 1122715 [details]
File: environ
Comment 6 Simon THOBY 2016-02-10 04:06:48 EST
Created attachment 1122716 [details]
File: limits
Comment 7 Simon THOBY 2016-02-10 04:06:50 EST
Created attachment 1122717 [details]
File: maps
Comment 8 Simon THOBY 2016-02-10 04:06:51 EST
Created attachment 1122718 [details]
File: mountinfo
Comment 9 Simon THOBY 2016-02-10 04:06:52 EST
Created attachment 1122719 [details]
File: open_fds
Comment 10 Simon THOBY 2016-02-10 04:06:54 EST
Created attachment 1122720 [details]
File: proc_pid_status
Comment 11 Simon THOBY 2016-02-10 04:07:01 EST
Created attachment 1122721 [details]
File: strace.log
Comment 12 Simon THOBY 2016-02-10 04:07:02 EST
Created attachment 1122722 [details]
File: var_log_messages
Comment 13 Antonio Trande 2016-02-10 07:55:02 EST
Please, test this new release: http://koji.fedoraproject.org/koji/buildinfo?buildID=734689
Comment 14 Simon THOBY 2016-02-10 10:18:31 EST
Thanks for reply. Unfortunately this doesn't work either:
[t0b1nux@t0b1nux-fedora ~]$ snappy 

(snappy:10392): Clutter-Gtk-ERROR **: *** Unsupported backend.
Trace/breakpoint trap (core dumped)
Comment 15 Simon THOBY 2016-02-10 10:19 EST
Created attachment 1122824 [details]
New strace log with snappy-player-1.0-9.20160119gite73fab.fc23.x86_64.rpm
Comment 16 Simon THOBY 2016-02-10 10:25:12 EST
Pretty sure this is a wayland problem because ```GDK_BACKEND="x11" snappy``` works
Comment 17 Fedora End Of Life 2016-11-24 10:29:13 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 13:36:02 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.